Subject: [Last-Call] Post approval change on draft-ietf-anima-bootstrapping-keyinfra

From: Warren Kumari <[email-masked]>
Date: Wed, 16 Sep 2020 10:43:55 -0400

TL;DR: After going through IESG eval, the ANIMA WG realized that using
"/.well-known/brski" is better / clearer / more extensible than
"/.well-known/est" in the URI.
There has been an AMIMA WG consensus call to make this change (see
below), and I've discussed it with the IESG. To dot the 't's and cross
the 'i's, I'm doing an IETF LC / consensus call on this change only.
Please let me know if you strongly object to this change by Sept 30th (2 weeks).
W

----- Longer version ---
The IESG has received a request from the Autonomic Networking Integrated
Model and Approach WG (ANIMA) to integrate a limited change into the
following document (BRSKI):
https://datatracker.ietf.org/doc/draft-ietf-anima-bootstrapping-keyinfra/

The change is shown here:
https://www.ietf.org/rfcdiff?url1=draft-ietf-anima-bootstrapping-keyinfra-43&url2=draft-richardson-anima-brski-renamed-00

Explanation (from AIMA WG chairs):

  BRSKI originated as an extension of EST (RFC7030), which established the
  /.well-known/est registry. BRSKI-43 therefore uses extension to this
  registry. More recent followup work from BRSKI including, but not limited
  to, BRSKI-AE made it more obvious though, that BRSKI should have better
  established its own registry so it can easier be reused / expanded without
  having to assume EST. Therefore the above BRSKI diff (and BRSKI-AE) propose
  to introduce a /.well-known/brski registry.

  BRSKI-AE: https://tools.ietf.org/html/draft-ietf-anima-brski-async-enroll-00

The IESG plans to make a decision in the next few weeks, and solicits
final comments on ONLY the changes proposed in the above diff (but no
other comments
on BRSKI). Please send substantive comments to the [email-masked] mailing
list by September 30th.

Exceptionally, comments may be sent to [email-masked] instead.
In either case, please retain the beginning of the Subject line to
allow automated
sorting.

-------- Original email thread on ANIMA-WG:

On Tue, Sep 01, 2020 at 03:59:06AM +0200, Toerless Eckert wrote:
> Dear ANIMA WG
>
> This email starts a 2 week call for consensus to modify draft-ietf-anima-bootstrapping-keyinfra
> such that new well-known URIs introduced by BRSKI will use a /.well-known/brski
> prefix instead of the pre-existing /.well-known/est prefix.
>
> The proposed change can be seen at the following rfcdiff URL:
>
> https://www.ietf.org/rfcdiff?url1=draft-ietf-anima-bootstrapping-keyinfra-43&url2=draft-richardson-anima-brski-renamed-00
>
> This consensus call will end on September 14, 23:59 UTC
> This consensus call is ONLY for said change and not for any other aspects of BRSKI.
>
> If you have any objections to this change, please explain them by replying to
> this email during this period. If you agree with these changes please say so as well.
>
> FYI: What would happen afterwards ?
>
> a) If ANIMA does not have consensus, nothing more would happen, BRSKI would continue
>    stay unchanged in RFC editor queue waiting to be released by ACP draft
>
> b) If ANIMA WG has rough consensus on this change:
>
> - Warren Kumari or Robert Wilton would start a 2 week IETF consensus call on the subject.
> - When not successful, see a)
>
> -  When successful:
>
> - BRSKI authors would rev' the BRSKI document with the proposed text change,
> - the responsible AD (Warren) would update the YES on the document
> - Mark Nottingham as the responsible expert for the impacted IANA registry would
>   have to agree on the proposed registry change (which according to prior emails
>   he seems to be)
> - IESG would approve the change, the rev'ed version of BRSKI would go into RFC Editor queue
>
> According to Warrens prior emails (see below), this whole process should take ca. 5 weeks,
> which is shorter than the current queue length of RFC-editor, and that is still
> predicating that ACP draft is approved quickly by IESG (see below)
>
> Hopefully i did no misrepresent any of the FYI steps.
>
> Thank you very much
>     Toerless (for the ANIMA WG chairs).
>
-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Michael Richardson <[email-masked]>
Date: Wed, 16 Sep 2020 11:08:16 -0400

> to introduce a /.well-known/brski registry.

I believe that I ran the text by Mark, who I believe is the /.well-known
expert reviewer.  I believe that he said that it looked good, but it would be
great if Mark could confirm that I got it right.

    >> This consensus call is ONLY for said change and not for any other aspects of BRSKI.

Existing implementers have agreed to the change.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 21 Sep 2020 14:37:01 +1000

Hi Michael (et al),

I noticed two things about that diff:

1. 8.3.1 says 'IANA is asked to change the registration of "est" to include RFC7030 and this document.' I don't see any use of the `est` well-known URI in this document; why is that update necessary?

2. 8.3.2 asks for the BRSKI registry to be a sub-registry of the well-known URI registry. I'm concerned that if adopted as common practice, this will make crowd the well-known URI registry with a number of application-specific sub-registries. As such my (fairly strong) preference would be for this registry to be separate from it.

Cheers,

> On 17 Sep 2020, at 1:08 am, Michael Richardson <[email-masked]> wrote:
> 
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Kent Watsen <[email-masked]>
Date: Mon, 21 Sep 2020 13:58:59 +0000

FWIW, an equally-good (I think) alternative to hardcoding a .well-known mount point is to use the existing “host-meta” document, as RESTCONF describes here: https://tools.ietf.org/html/rfc8040#section-3.1 <https://tools.ietf.org/html/rfc8040#section-3.1>.

K.

> On Sep 16, 2020, at 11:08 AM, Michael Richardson <[email-masked]> wrote:
> 
> 
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 21 Sep 2020 16:09:29 +0200

Thanks, Kent

Reading that rfc8040 section, i am still in the dark which specific problem
this mechanism attempts to solve. Alas, it does not describe this or
points to a specific place in RFC7320.

Or to put it more practically: 

If i can not allocate /.well-known/brski, why would i then be guaranteed to be able to allocate /.well-known/host-meta ?

Cheers
     Toerless

On Mon, Sep 21, 2020 at 01:58:59PM +0000, Kent Watsen wrote:
> FWIW, an equally-good (I think) alternative to hardcoding a .well-known mount point is to use the existing ???host-meta??? document, as RESTCONF describes here: https://tools.ietf.org/html/rfc8040#section-3.1 <https://tools.ietf.org/html/rfc8040#section-3.1>.
> 
> K.
> 
> 

-- 
---
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Mon, 21 Sep 2020 12:15:28 -0400

> 1. 8.3.1 says 'IANA is asked to change the registration of "est" to
    > include RFC7030 and this document.' I don't see any use of the `est`
    > well-known URI in this document; why is that update necessary?

Previously, all of the things in this document were /.well-known/est/FOOBAR.
They are now, /.well-known/brski/FOOBAR.
IANA has actually already acted on section 8.3.1, btw.
We need them to undo that.

I guess that section 8.3.1 should be removed, which I'll do.
I guess since the WG has passed this change, I should push the new version.

How about if I change it to:

          <t>
            IANA is asked to change the registration of "est" to now only
            include RFC7030 and no longer this document.

    > 2. 8.3.2 asks for the BRSKI registry to be a sub-registry of the
    > well-known URI registry. I'm concerned that if adopted as common
    > practice, this will make crowd the well-known URI registry with a
    > number of application-specific sub-registries. As such my (fairly
    > strong) preference would be for this registry to be separate from it.

So rather than asking for a sub-registry, you'd like us to just establish a
registry.

          <t>
            IANA is requested to create a new Registry entitled: "BRSKI well-known URIs".

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 22 Sep 2020 11:05:49 +1000

> On 22 Sep 2020, at 2:15 am, Michael Richardson <[email-masked]> wrote:
> 
> 

Makes sense.

>            IANA is requested to create a new Registry entitled: "BRSKI well-known URIs".

That'd be fine.

Cheers / thanks,